import codebuild = require('@aws-cdk/aws-codebuild');
import codepipeline = require('@aws-cdk/aws-codepipeline');
/**
 * Construction properties of the {@link PipelineBuildAction CodeBuild build CodePipeline Action}.
 */
export interface PipelineBuildActionProps {
    /**
     * The source to use as input for this build
     */
    inputArtifact: codepipeline.Artifact;
    /**
     * The name of the build's output artifact
     */
    artifactName?: string;
    /**
     * The build project
     */
    project: codebuild.ProjectRef;
}
/**
 * CodePipeline build Action that uses AWS CodeBuild.
 */
export declare class PipelineBuildAction extends codepipeline.BuildAction {
    constructor(parent: codepipeline.Stage, name: string, props: PipelineBuildActionProps);
}
